{% extends 'layout.html' %}

{% block body %}
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<div id="chart_patterns"></div>
<div id="chart_vehicles"></div>
<div id="chart_percent"></div>

<script type="text/javascript">
google.charts.load('current', {packages: ['corechart', 'bar']});
google.charts.setOnLoadCallback(drawBasic);

function drawBasic() {

      var data = new google.visualization.DataTable();
      data.addColumn('string', 'Patron');
      data.addColumn('number', 'Eventos');

      data.addRows([
        ['Exceso de Velocidad',{{ stats.speed }}],
        ['Cambio Abrupto de Dirección', {{ stats.direction }}],

      ]);

      var options = {
        title: 'Patrones de Accidentalidad Evidenciados',
        width: 600,
        height: 300,
        bar: {groupWidth: '95%'},

        hAxis: {
          title: 'Patrón de Accidentalidad',

        },
        vAxis: {
          gridlines: { count: 10 },
          title: 'Número de Eventos'
        }
      };

      var chart = new google.visualization.ColumnChart(
        document.getElementById('chart_patterns'));

      chart.draw(data, options);
    }
</script>


<script type="text/javascript">
google.charts.load('current', {packages: ['corechart', 'bar']});
google.charts.setOnLoadCallback(drawBasic);

function drawBasic() {

      var data = new google.visualization.DataTable();
      data.addColumn('string', 'Combinacion Tipos Vehiculos');
      data.addColumn('number', 'Número Accidentes');

      data.addRows([
        ['moto_moto',{{ stats.moto_moto }}],
        ['carro_moto', {{ stats.carro_moto }}],
        ['carro_carro', {{ stats.carro_carro }}],

      ]);

      var options = {
        title: 'Accidentes Evidenciados por Tipos de Vehiculos',
        width: 600,
        height: 300,
        bar: {groupWidth: '95%'},

        hAxis: {
          title: 'Accidentes',

        },
        vAxis: {
          gridlines: { count: 10 },
          title: 'Número de Accidentes'
        }
      };

      var chart = new google.visualization.ColumnChart(
        document.getElementById('chart_vehicles'));

      chart.draw(data, options);
    }
</script>


<script type="text/javascript">
google.charts.load('current', {packages: ['corechart', 'bar']});
google.charts.setOnLoadCallback(drawBasic);

function drawBasic() {

      var data = new google.visualization.DataTable();
      data.addColumn('string', 'Porcentaje de Eventos Terminan en Accidente');
      data.addColumn('number', 'Porcentaje');

      data.addRows([
        ['Exceso de Velocidad',{{ stats.speed_percent }}],
        ['Cambio Abrupto de Dirección', {{ stats.direction_percent }}],

      ]);

      var options = {
        title: 'Porcentaje de Accidentes Evidenciados',
        width: 600,
        height: 300,
        bar: {groupWidth: '95%'},

        hAxis: {
          title: 'Porcentaje de Patrones Terminan en Accidente',

        },
        vAxis: {
          gridlines: { count: 10 },
          title: 'Porcentaje'
        }
      };

      var chart = new google.visualization.ColumnChart(
        document.getElementById('chart_percent'));

      chart.draw(data, options);
    }
</script>


{% endblock %}
